<?php
	include('../inc/variables.php');
	$db = new PDO("mysql:host=$dbHost;dbname=$dbName","$dbUser","$dbPass");
	$db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
	include_once('fpdf.php');
	class mijnPDF extends FPDF {
		function Header() {
			$this->SetLeftMargin(20);
			$this->SetRightMargin(20);
			$this->SetFont('Arial',"B",18);
			$this->SetTextColor(0,0,255);
			$this->Cell(0,10,"Results",0,0,"C");
			$this->Ln(6);
			$this->SetTextColor(0,0,0);
		}
		function footer() {
		   // Go to 1.5 cm from bottom
			$this->SetY(-15);
			// Select Arial italic 8
			$this->SetFont('Arial','I',8);
			// Print centered page number
			$this->Cell(0,10,'YVH Programming - '.$this->PageNo() . ' - ',0,0,'R');
		}
	}
	$pdf = new mijnPDF();
	$arrTitels = array("Ladies 4 KM","Men 4 KM","Ladies 8 KM", "Men 8 KM","Ladies 12 KM","Men 12 KM");
	$arrVan = array(100,200,300,400,500,600);
	$arrTot = array(199,299,399,499,599,699);
	for ($idx=0;$idx<=5;$idx++) {
		$titel = $arrTitels[$idx];
		$van = $arrVan[$idx];
		$tot = $arrTot[$idx];
		$pdf->AddPage('P','A4');
		$pdf->SetFont('Arial','B',11);
		$pdf->Ln(6);
		$pdf->SetFillColor(230,230,230);
		$pdf->Cell(0,8,$titel,1,1,"C",1);
		$pdf->Ln(5);
		$pdf->Cell(20,8,'Place',0,0,"L",1);
		$pdf->Cell(20,8,'Time',0,0,"L",1);
		$pdf->Cell(55,8,'Name',0,0,"L",1);
		$pdf->Cell(45,8,'Firstname',0,0,"L",1);
		$pdf->Cell(30,8,'Number',0,0,"L",1);
		$pdf->Ln(8);
		$pdf->SetFont('Arial','',11);
		$place=1;
		$numberOfRows=1;
		$sql = "SELECT w2.runner as rnr, time(w2.moment) as mmnt, timediff(w2.moment, w1.moment) as diftime, firstname, lastname 
				FROM `wf_runners`w1, wf_runners w2, wf_participants wfp 
				WHERE w1.runner = 0 and w2.runner <> 0 and wfp.runner = w2.runner and w2.runner between $van and $tot
				ORDER BY diftime";
		$res = $db->query($sql);
		foreach ($res as $row) {
			$pdf->Cell(20,8,$place,0,0,"C",0);
			$pdf->Cell(20,8,$row['diftime'],0,0,"L",0);
			$pdf->Cell(55,8,$row['lastname'],0,0,"L",0);
			$pdf->Cell(45,8,$row['firstname'],0,0,"L",0);
			$pdf->Cell(30,8,$row['rnr'],0,0,"C",0);
			$pdf->Ln(6);
			$place++;
			$numberOfRows++;
			if ($numberOfRows == 38) {
				$pdf->AddPage('P','A4');
				$pdf->SetFont('Arial','B',11);
				$pdf->Ln(6);
				$pdf->SetFillColor(230,230,230);
				$pdf->Cell(0,8,$titel,1,1,"C",1);
				$pdf->Ln(5);
				$pdf->Cell(20,8,'Place',0,0,"L",1);
				$pdf->Cell(20,8,'Time',0,0,"L",1);
				$pdf->Cell(55,8,'Name',0,0,"L",1);
				$pdf->Cell(45,8,'Firstname',0,0,"L",1);
				$pdf->Cell(30,8,'Number',0,0,"L",1);
				$pdf->Ln(8);
				$pdf->SetFont('Arial','',11);
				$numberOfRows=1;
			}
		}
		$sql = "SELECT * FROM wf_participants w2 where runner not in (select runner from wf_runners) and w2.runner between $van and $tot order by lastname, firstname";
		$results = $db->query($sql);
		$res = $db->query($sql);
		foreach ($res as $row) {
			$pdf->Cell(20,8,"-",0,0,"C",0);
			$pdf->Cell(20,8," ",0,0,"L",0);
			$pdf->Cell(55,8,$row['lastname'],0,0,"L",0);
			$pdf->Cell(45,8,$row['firstname'],0,0,"L",0);
			$pdf->Cell(30,8,$row['runner'],0,0,"C",0);
			$pdf->Ln(6);
			$numberOfRows++;
			if ($numberOfRows == 38) {
				$pdf->AddPage('P','A4');
				$pdf->SetFont('Arial','B',11);
				$pdf->Ln(6);
				$pdf->SetFillColor(230,230,230);
				$pdf->Cell(0,8,$titel,1,1,"C",1);
				$pdf->Ln(5);
				$pdf->Cell(20,8,'Place',0,0,"L",1);
				$pdf->Cell(20,8,'Time',0,0,"L",1);
				$pdf->Cell(55,8,'Name',0,0,"L",1);
				$pdf->Cell(45,8,'Firstname',0,0,"L",1);
				$pdf->Cell(30,8,'Number',0,0,"L",1);
				$pdf->Ln(8);
				$pdf->SetFont('Arial','',11);
				$numberOfRows=1;
			}
		}
	}
	$pdf->AliasNbPages();
	$pdf->Output('results.pdf','D');
?>